您尚未登录。

楼主 # 2024-02-05 08:52:11

a06041114
会员
注册时间: 2021-01-18
已发帖子: 6
积分: 6

求指导,T113-S3 tinasdk如何配置板子启动后以太网自动启动和获取Ip

如图,手上又快T113-S3开发板,以太网插上网线后,都要在终端手动输入ifconfig eth0 up 来启动以太网,然后输入udhcpc来自动获取IP,这个只适合调试,怎么让开发板自动启动以太网并获取IP而不是手动输入命令???我在网上查找时,根据V3S,发现V33都是在文件系统,修改/etc/network/interfaces 就可以,但T113-S3的Tina SDK里我没找到这个文件,求大神指导

离线

#1 2024-02-05 09:55:57

Gentlepig
会员
注册时间: 2018-10-24
已发帖子: 1,177
积分: 1124.5

Re: 求指导,T113-S3 tinasdk如何配置板子启动后以太网自动启动和获取Ip

我是在/etc/profile 最后面加了句udhcpc &
不过貌似不应该加在这里,应该加载rc/Sxx里,但是我没看明白怎么加。

离线

楼主 #2 2024-02-05 10:16:21

a06041114
会员
注册时间: 2021-01-18
已发帖子: 6
积分: 6

Re: 求指导,T113-S3 tinasdk如何配置板子启动后以太网自动启动和获取Ip

Gentlepig 说:

我是在/etc/profile 最后面加了句udhcpc &
不过貌似不应该加在这里,应该加载rc/Sxx里,但是我没看明白怎么加。

我也准备这样去加,不知道怎么加,另外这种方法应该不规范,比如我需要静态和动态IP切换

离线

#3 2024-02-05 14:36:28

海石生风
会员
所在地: 深圳
注册时间: 2019-07-02
已发帖子: 478
积分: 597
个人网站

Re: 求指导,T113-S3 tinasdk如何配置板子启动后以太网自动启动和获取Ip

脚本:/etc/init.d/S20network

#!/bin/sh
#
# Start the network....
#

case "$1" in
  start)
    printf "Start dhcpc:  "
	/sbin/ifconfig lo up
	/sbin/ifconfig eth0 up
	udhcpc &
    [ $? = 0 ] && echo "OK" || echo "FAIL"
	;;
  static)
    printf "Set network IP: "
	/sbin/ifconfig lo up
	/sbin/ifconfig eth0 192.168.1.127 netmask 255.255.255.0 up
	/sbin/route add default gw 192.168.1.1
	echo -e "nameserver 202.96.134.133\nnameserver 202.96.128.166" > /etc/resolv.conf
    [ $? = 0 ] && echo "OK" || echo "FAIL"
	;;
  stop)
    printf "Bring down network: "
        killall udhcpc
	ifconfig lo down
	ifconfig eth0 down
	[ $? = 0 ] && echo "OK" || echo "FAIL"
	;;
  restart|reload)
	"$0" stop
	"$0" start
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

最近编辑记录 海石生风 (2024-02-05 14:38:13)

离线

#4 2024-02-06 08:53:26

Gentlepig
会员
注册时间: 2018-10-24
已发帖子: 1,177
积分: 1124.5

Re: 求指导,T113-S3 tinasdk如何配置板子启动后以太网自动启动和获取Ip

@海石生风

感谢,不过想知道具体怎么用?
S20network start?
S20network static?

是在哪里调用?
开机时会自动执行/etc/init.d/里的K和S开头的脚本吧,但是这个脚本里有多条命令,什么情况下执行的是start?什么情况下执行的是static?

最近编辑记录 Gentlepig (2024-02-06 08:55:45)

离线

页脚

工信部备案:粤ICP备20025096号 Powered by FluxBB

感谢为中文互联网持续输出优质内容的各位老铁们。 QQ: 516333132, 微信(wechat): whycan_cn (哇酷网/挖坑网/填坑网) service@whycan.cn